Loading...
Searching...
No Matches
janus_nosip_session Struct Reference
Collaboration diagram for janus_nosip_session:
[legend]

## Data Fields

janus_plugin_session * | handle
gint64 | sdp_version
janus_nosip_media | media
janus_sdp * | sdp
janus_recorder * | arc
janus_recorder * | arc_peer
janus_recorder * | vrc
janus_recorder * | vrc_peer
janus_mutex | rec_mutex
GThread * | relayer_thread
volatile gint | hangingup
volatile gint | destroyed
janus_refcount | ref
janus_mutex | mutex

## Field Documentation

## arc

janus_recorder* janus_nosip_session::arc

## arc_peer

janus_recorder* janus_nosip_session::arc_peer

## destroyed

volatile gint janus_nosip_session::destroyed

## handle

janus_plugin_session* janus_nosip_session::handle

## hangingup

volatile gint janus_nosip_session::hangingup

## media

janus_nosip_media janus_nosip_session::media

## mutex

janus_mutex janus_nosip_session::mutex

## rec_mutex

janus_mutex janus_nosip_session::rec_mutex

## ref

janus_refcount janus_nosip_session::ref

## relayer_thread

GThread* janus_nosip_session::relayer_thread

## sdp

janus_sdp* janus_nosip_session::sdp

## sdp_version

gint64 janus_nosip_session::sdp_version

## vrc

janus_recorder* janus_nosip_session::vrc

## vrc_peer

janus_recorder* janus_nosip_session::vrc_peer

The documentation for this struct was generated from the following file:

- janus_nosip.c